﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AL_CursorCrosshair
{
    public static class DoubleExtension
    {
        /// <summary>
        ///     Epsilon equal (Extension), NaN are never equal
        /// </summary>
        /// <param name="a">current value</param>
        /// <param name="b">value to compare to</param>
        /// <returns>true if the difference is less than Epsilon</returns>
        /// <example>double m=5.0, n=5.0; Debug.Assert(m.EEquals(n));</example>
        public static bool EEquals(this double a, double b)
        {
            if (double.IsNaN(a) || double.IsNaN(b)) return false;
            return Math.Abs(b - a) < double.Epsilon;
        }
    }
}
